Bug 24980 - bind uses "named -u named" unconitionally.
Summary: bind uses "named -u named" unconitionally.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-25 22:31 UTC by Red Hat Bugzilla
Modified: 2008-03-13 19:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 04:54:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2001-01-25 22:31:03 UTC
/etc/init.d/named uses "named -u named" unconitionally.
It will be nice to check the running kernel to see if
it supports it or not.

Comment 1 Red Hat Bugzilla 2001-01-29 04:54:42 UTC
That's not trivial. BIND 9 running as root refuses to write its PID file to
/var/run/named/named.pid the (chown root:root /var/run/named needed). Same goes
for /var/named directory which needs to be chown'ed to root.

Yes, all that sucks hard. *sigh* :-(

Comment 2 Red Hat Bugzilla 2001-03-06 15:10:29 UTC
Everything aside, running named as root is never a good idea.



Note You need to log in before you can comment on or make changes to this bug.